/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#include "StdAfx.h"
#include "HTMLAtom.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CHTMLAtom::CHTMLAtom() :
	m_nAscent(0),
	m_nAlignment(0)
{
}

CHTMLAtom::CHTMLAtom(const CHTMLAtom & Atom)
{
	m_strText 		= Atom.m_strText;
	m_Font 			= Atom.m_Font;
	m_rctPosition 	= Atom.m_rctPosition;
	m_nAscent 		= Atom.m_nAscent;
	m_nAlignment 	= Atom.m_nAlignment;
	m_nLine 		= Atom.m_nLine;
	m_strURL 		= Atom.m_strURL;
	m_strTooltip	= Atom.m_strTooltip;
}

CHTMLAtom::~CHTMLAtom()
{
}

void CHTMLAtom::DeleteArray(CObArray & arrArray)
{
	for ( int nObj=0; nObj < arrArray.GetSize(); nObj++ )
		delete (CHTMLAtom *) arrArray[nObj];
	arrArray.RemoveAll();
}

