/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_SETTINGSHELPERS_H__CA4EEFFF_8367_48E0_8CB5_35C62DF2D50C__INCLUDED_)
#define AFX_SETTINGSHELPERS_H__CA4EEFFF_8367_48E0_8CB5_35C62DF2D50C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

void ProcessColor(const string &cfg, COLORREF &clrResult);

void ParseBGBevelColorCFG(const string &cfg, COLORREF &bgcolor, COLORREF &lightcolor, COLORREF &darkcolor);
bool Parse4SizesCFG(const string &cfg, int &leftSize, int &rightSize, int &topSize, int &bottomSize, bool bOnlyPositiveValues);

string trim(const string &toTrim);
string IntToString(int input);

int SplitString(const string &process, string &one, string &two, string &three, string &four, string &five, string &six, string &seven);

bool iGetxRCBool(const string &uniqueKey, const string &baseName, bool defaultVal = false);
bool iGetx2RCBool(const string &uniqueKey, const string &baseName, bool defaultVal = false);

string iGetxRCString(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCString(const string &uniqueKey, const string &baseName, const string &defaultVal);

string iGetxRCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);

int iGetxRCNamedValue(const string &uniqueKey, const string &baseName, const NameValuePair *nameValuePairs, int defaultVal);
int iGetx2RCNamedValue(const string &uniqueKey, const string &baseName, const NameValuePair *nameValuePairs, int defaultVal);

int iGetxRCColor(const string &uniqueKey, const string &baseName, int defaultVal);
int iGetx2RCColor(const string &uniqueKey, const string &baseName, int defaultVal);

int iGetxRCInt(const string &uniqueKey, const string &baseName, int defaultVal, int minVal = MIN_INTEGER, int maxVal = MAX_INTEGER);
int iGetx2RCInt(const string &uniqueKey, const string &baseName, int defaultVal, int minVal = MIN_INTEGER, int maxVal = MAX_INTEGER);

int ixParseCoord(const string &aString, int defaultVal, int maxVal, bool bYCoordinate);
int iGetxRCCoord(const string &uniqueKey, const string &baseName, int defaultVal, int maxVal, bool bYCoordinate);
int iGetx2RCCoord(const string &uniqueKey, const string &baseName, int defaultVal, int maxVal, bool bYCoordinate);

int ixParseDimen(const string &aString, int defaultVal, int maxVal, bool bYCoordinate);
int iGetxRCDimen(const string &uniqueKey, const string &baseName, int defaultVal, int maxVal, bool bYCoordinate);
int iGetx2RCDimen(const string &uniqueKey, const string &baseName, int defaultVal, int maxVal, bool bYCoordinate);

#endif // !defined(AFX_SETTINGSHELPERS_H__CA4EEFFF_8367_48E0_8CB5_35C62DF2D50C__INCLUDED_)
